Subject: Re: bug#29522: rustc-1.16.0 broken after jemalloc updated to 5.0.1

From: [email-masked] (Ludovic Courtès)
Date: Mon, 04 Dec 2017 18:19:32 +0100

Adam Van Ymeren <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hi,
>>
>> Jelle Licht <[email-masked]> skribis:

[...]

>>> It seems that the bundled copy of jemalloc in the rustc repo is currently
>>> pinned at 4.5.0 partially
>>> because of this specific issue as well.
>>>
>>> I did find an issue on the rust GH repo [0], and it seems this also affects
>>> the nix-rust project,
>>> who seem to have the same errors as our currently failing build [1].
>>>
>>> A temporary workaround could be to have a custom version of jemalloc with
>>> the c++ features disabled
>>> by building with `--disable-cxx'. Alternatively, we could just make use of
>>> jemalloc 4.5.0 for rustc only
>>> until this is all sorted our by upstream.
>>
>> Using a --disable-cxx variant of the latest jemalloc sounds preferable
>> to me over running an old jemalloc.
>
> I feel like if rust is pegged at jemalloc 4.5.0 then that's what we
> should be feeding it.  The changelog suggestst that jemalloc 5 has some
> pretty significant changes, changing rust to use that theoretically lead
> to some subtle bugs, I feel like I'd rather wait for upstream to make
> the upgrade themselves.

Right, that makes sense.

In that case, we should reintroduce jemalloc 4.5 and use that in Rust.

Ludo’.